
# Contributing to RPM Build GitHub Action

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:

The following is a set of guidelines for contributing to rpm-build GitHub Action, which is listed in the [GitHub Marketplace](https://github.com/marketplace/actions/rpm-build) . These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

#### Table Of Contents


[What should I know before I get started?](#what-should-i-know-before-i-get-started)
  * [rpmbuild](#rpmbuild)
  * [GitHub Actions](#github-actions)

[How Can I Contribute?](#how-can-i-contribute)
  * [Reporting Bugs](#reporting-bugs)
  * [Suggesting Enhancements](#suggesting-enhancements)
  * [Pull Requests](#pull-requests)

[Resources](#resources)
 

## What should I know before I get started?

### rpmbuild

rpmbuild is a command line utility to build RPM packages.
* [RPM Packaging Guide](https://rpm-packaging-guide.github.io/)


### GitHub Actions

GitHub Action is github's CICD platform , to automate your software lifecyle
* [GitHub Actions Documentation](https://help.github.com/en/actions)


## How Can I Contribute?

### Reporting Bugs

Report bugs using Github's issues
We use GitHub issues to track public bugs. Report a bug by opening a new issue; it's that easy!

### Suggesting Enhancements

If you think you have an idea which will make this project more useful to the community, add your suggestion as an issue. 

### Submitting a pull request

1. Fork and clone the repository
2. Configure and install the dependencies: ```npm install```
3. Make sure the tests pass on your machine: ```npm run test```
4. Create a new branch: ```git checkout -b my-branch-name```
5. Make your change, add tests, and make sure the tests still pass
6. Push to your fork and submit a pull request
7. Pat your self on the back and wait for your pull request to be reviewed and merged.

## Resources
* [How to Contribute to Open Source](https://opensource.guide/how-to-contribute/)  
* [Using Pull Requests](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests)
